Get a canon touchpoint
Módulo Canon
GET/canon/touchpoints/{touchpoint_id}canonTouchpoints.get
A five-sense touchpoint with Base, Elevated and Premium grades. Returns one canon touchpoint with its `ETag`. A canon touchpoint the caller may not see returns 404.
- Requiere la capacidad canon.taxonomy.read.
- Alcances de OAuth: canon.
- Estados de error: 400, 401, 404, 429. Los errores son detalles de problema RFC 9457.
Parámetros de ruta y de consulta
| Campo | Tipo | Obligatorio | Descripción |
|---|---|---|---|
| touchpoint_id | TouchpointId | Sí | Five-sense touchpoint identifier from `xpms.dim_touchpoint`.Restricciones: pattern ^[A-Z]{3}-[0-9]{2}$ |
| fields | Fields | No | Sparse fieldset: a comma-separated list of top-level fields to return. `id` is always returned.Restricciones: pattern ^[a-z_][a-z0-9_]*(,[a-z_][a-z0-9_]*)*$ |
Respuesta 200: CanonTouchpoint
| Campo | Tipo | Obligatorio | Descripción |
|---|---|---|---|
| touchpoint_id | TouchpointId | Sí | Five-sense touchpoint identifier from `xpms.dim_touchpoint`.Restricciones: pattern ^[A-Z]{3}-[0-9]{2}$ |
| sense | string | Sí | Sense the touchpoint addresses.Restricciones: length 1 to 200 |
| brief_element | string | Sí | Brief element.Restricciones: length 1 to 200 |
| category | string | Sí | Touchpoint category.Restricciones: length 1 to 200 |
| item | string | Sí | Touchpoint item.Restricciones: length 1 to 200 |
| base | string | Sí | Base grade description.Restricciones: length 1 to 20000 |
| elevated | string | Sí | Elevated grade description.Restricciones: length 1 to 20000 |
| premium | string | Sí | Premium grade description.Restricciones: length 1 to 20000 |
| optional_upgrades | string | null | Sí | Optional upgrades.Restricciones: length 1 to 20000 |
{
"touchpoint_id": "SGT-01",
"sense": "Architecture (Sight)",
"brief_element": "Floor Plan",
"category": "Stage Configuration",
"item": "Ground-Level Stage",
"base": "Low-rise deck stage.",
"elevated": "Deck stage with skirted fascia.",
"premium": "Custom-fabricated floor stage.",
"optional_upgrades": "Stage-front lighting ribbon."
}Ejemplos de código
curl -X GET "$XOS_BASE_URL/canon/touchpoints/SGT-01" \
-H "Authorization: Bearer $XOS_API_KEY"const { data, etag } = await xos.canonTouchpoints.get("SGT-01");response = xos.canon_touchpoints.get("SGT-01")xos canon-touchpoints get SGT-01